#### dynamic_buffer (1 of 4 overloads)

Create a new dynamic buffer that represents the given string.

    template<
        typename Elem,
        typename Traits,
        typename Allocator>
    dynamic_string_buffer< Elem, Traits, Allocator > dynamic_buffer(
        std::basic_string< Elem, Traits, Allocator > & data);

###### Return Value

`dynamic_string_buffer<Elem, Traits, Allocator>(data)`.